org.bouncycastle.asn1

## Class ASN1Enumerated

- java.lang.Object
- - org.bouncycastle.asn1.ASN1Object
  - - org.bouncycastle.asn1.ASN1Primitive
    - - org.bouncycastle.asn1.ASN1Enumerated

- All Implemented Interfaces:
    ASN1Encodable, Encodable

      public class ASN1Enumerated
      extends ASN1Primitive

  Class representing the ASN.1 ENUMERATED type.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ASN1Enumerated(java.math.BigInteger value)` Constructor from BigInteger
    `ASN1Enumerated(byte[] contents)` Constructor from encoded BigInteger.
    `ASN1Enumerated(int value)` Constructor from int.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ASN1Enumerated` | `getInstance(ASN1TaggedObject taggedObject, boolean declaredExplicit)` return an Enumerated from a tagged object.
    `static ASN1Enumerated` | `getInstance(java.lang.Object obj)` return an enumerated from the passed in object
    `static ASN1Enumerated` | `getTagged(ASN1TaggedObject taggedObject, boolean declaredExplicit)`
    `java.math.BigInteger` | `getValue()`
    `int` | `hashCode()`
    `boolean` | `hasValue(java.math.BigInteger x)`
    `boolean` | `hasValue(int x)`
    `int` | `intValueExact()`

    - ### Methods inherited from class org.bouncycastle.asn1.ASN1Primitive

      `encodeTo, encodeTo, equals, equals, equals, fromByteArray, fromStream, toASN1Primitive`

    - ### Methods inherited from class org.bouncycastle.asn1.ASN1Object

      `getEncoded, getEncoded, hasEncodedTagValue`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ASN1Enumerated

          public ASN1Enumerated(int value)

      Constructor from int.
      Parameters:
        `value` - the value of this enumerated.

    - #### ASN1Enumerated

          public ASN1Enumerated(java.math.BigInteger value)

      Constructor from BigInteger
      Parameters:
        `value` - the value of this enumerated.

    - #### ASN1Enumerated

          public ASN1Enumerated(byte[] contents)

      Constructor from encoded BigInteger.
      Parameters:
        `contents` - the value of this enumerated as an encoded BigInteger (signed).

  - ### Method Detail

    - #### getInstance

          public static ASN1Enumerated getInstance(java.lang.Object obj)

      return an enumerated from the passed in object
      Parameters:
        `obj` - an ASN1Enumerated or an object that can be converted into one.
      Returns:
        an ASN1Enumerated instance, or null.
      Throws:
        `java.lang.IllegalArgumentException` - if the object cannot be converted.

    - #### getInstance

          public static ASN1Enumerated getInstance(ASN1TaggedObject taggedObject,
                                                   boolean declaredExplicit)

      return an Enumerated from a tagged object.
      Parameters:
        `taggedObject` - the tagged object holding the object we want
        `declaredExplicit` - true if the object is meant to be explicitly tagged false otherwise.
      Returns:
        an ASN1Enumerated instance, or null.
      Throws:
        `java.lang.IllegalArgumentException` - if the tagged object cannot be converted.

    - #### getTagged

          public static ASN1Enumerated getTagged(ASN1TaggedObject taggedObject,
                                                 boolean declaredExplicit)

    - #### getValue

          public java.math.BigInteger getValue()

    - #### hasValue

          public boolean hasValue(int x)

    - #### hasValue

          public boolean hasValue(java.math.BigInteger x)

    - #### intValueExact

          public int intValueExact()

    - #### hashCode

          public int hashCode()

      Specified by:
        `hashCode` in class `ASN1Primitive`